﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Panel3D.SimpleForm
{
  public partial class MainForm: Form
  {
    const double defaultsize = 0.25;
    const double defaultdistance = 1;
    public MainForm()
    {
      InitializeComponent();   
      panel3DUserControl1.Elements.Clear();
      Point3DSizedLabeled center = new Panel3D.Point3DSizedLabeled( 0, 0, 0, defaultsize, "0,0,0" );
      Point3DSizedLabeled x = new Panel3D.Point3DSizedLabeled( 5, 0, 0, defaultsize, "5,0,0" );
      Point3DSizedLabeled y = new Panel3D.Point3DSizedLabeled( 0, 5, 0, defaultsize, "0,5,0" );
      Point3DSizedLabeled z = new Panel3D.Point3DSizedLabeled( 0, 0, 5, defaultsize, "0,0,5" );
      panel3DUserControl1.Elements.Add( center );
      panel3DUserControl1.Elements.Add( x );
      panel3DUserControl1.Elements.Add( y );
      panel3DUserControl1.Elements.Add( z );
      panel3DUserControl1.Elements.Add( new Connection3D( center, x ) );
      panel3DUserControl1.Elements.Add( new Connection3D( center, y ) );
      panel3DUserControl1.Elements.Add( new Connection3D( center, z ) );
      panel3DUserControl1.RefreshScene(); 
    }
   
    private void button_scene1_Click( object sender, EventArgs e )
    {

    }
  }
}
